Subject: bug#23341: x-show-tip does not respect the value of tooltip-hide-delay, and the default tooltip timeout isn't configurable

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 01 May 2022 10:37:29 +0200

Po Lu <[email-masked]> writes:

>>> Also, nsterm.m should be modified as well, no?
>>
>> Geez.  Yup; now pushed.
>
> There's also haikufns.c and pgtkfns.c, which I will take care of,

I did those already, I think?

> but I strongly disagree that `x-show-tip' should allow its default
> timeout to be configurable: people will be confused at the difference
> between `tooltip-hide-delay' and that new variable, and `x-show-tip'
> is a programmatic interface, _NOT_ something that should decide a
> delay by itself.
>
> So I would rather this new variable be removed, and all the places that
> we call `x-show-tip' manually be fixed to respect `tooltip-hide-delay',
> if appropriate.

See the bug report for the discussion about this.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no